<?php
/*
Plugin Name: AD - Management
Plugin URI: http://mattsmarketingblog.com/
Description: AD management
Version: 1.0
Author: Matt Carter
Author URI: http://mattsmarketingblog.com/
*/
?>
<?php 
register_activation_hook(__FILE__,'admanagement_install');
function admanagement_install()
{
    global $wpdb;
    $table = $wpdb->prefix.'admanagement';
	
    $structure = "CREATE TABLE $table (
      `id` int(10) NOT NULL auto_increment,
  `post_id` int(10) default NULL,
  `imageurl` varchar(256) default NULL,
  `destination_url` text,
  `adsense` text,
  PRIMARY KEY  (`id`)
    );";
   // $wpdb->query($structure);
   	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
   dbDelta($structure);
	  // Populate table
   
}
function admanagement_post_box($page, $context)
{
	
	if ( ( 'page' === $page || 'post' === $page ) && 'advanced' === $context )
		add_meta_box( 'ad-management-box', 'AD Management Box', 'ad_management_meta_box', $page, 'advanced', 'low' );
}
function ad_management_meta_box()
{
	global $post;
	global $wpdb;
	$table = $wpdb->prefix.'admanagement';
	$results = $wpdb->get_results("SELECT *  FROM $table WHERE post_id = $post->ID" );
	foreach ($results as $result )
	{
		$image_url = $result->imageurl;
		$destination_url = $result->destination_url;
		$adsense = $result->adsense;
	}
	?>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/ajaxupload.js"></script>

<script type="text/javascript">
jQuery(document).ready(function() {

//AJAX Upload
		jQuery('.image_upload_button').each(function(){
		
		var clickedObject = jQuery(this);
		var clickedID = jQuery(this).attr('id');	
		new AjaxUpload(clickedID, {
			  action: '<?php echo admin_url("admin-ajax.php"); ?>',
			  name: clickedID, // File upload name
			  data: { // Additional data to send
					action: 'admanagement_ajax_post_action',
					type: 'upload',
					data: clickedID },
			  autoSubmit: true, // Submit file after selection
			  responseType: false,
			  onChange: function(file, extension){},
			  onSubmit: function(file, extension){
					clickedObject.text('Uploading'); // change button text, when user selects file	
					this.disable(); // If you want to allow uploading only 1 file at time, you can disable upload button
					interval = window.setInterval(function(){
						var text = clickedObject.text();
						if (text.length < 13){	
						clickedObject.val(text + '.'); }
						else { clickedObject.val('Uploading'); } 
					}, 200);
			  },
			  onComplete: function(file, response) {
			  	window.clearInterval(interval);
				clickedObject.val('Upload Image');	
				this.enable(); // enable upload button
				
				// If there was an error
			  	if(response.search('Upload Error') > -1){
					var buildReturn = '<span class="upload-error">' + response + '</span>';
					jQuery(".upload-error").remove();
					clickedObject.parent().after(buildReturn);
				
				}
				else{
					var buildReturn = '<img class="hide woo-option-image" id="image_'+clickedID+'" src="'+response+'" width="300" alt="" />';
					jQuery("#upload_image").val(response);
					jQuery(".upload-error").remove();
					jQuery("#image_" + clickedID).remove();	
					clickedObject.parent().after(buildReturn);
					jQuery('img#image_'+clickedID).fadeIn();
					clickedObject.next('span').fadeIn();
					
				}
			  }
			});
		
		});


});

</script>

<table>
  <tr valign="top">
    <th scope="row">Upload Image</th>
    <td><label for="upload_image">
        <input id="upload_image"  type="text" size="36" name="upload_image" value="<?php echo $image_url ?>" />
        <input id="upload_image_button"  class="image_upload_button" type="button" value="Upload Image" />
        <br />
        Enter an URL or upload an image for the banner. </label></td>
  </tr>
  <tr>
    <td>Destination Url</td>
    <td><input type="text" size=40 value="<?php echo $destination_url ?>" name="destination_url" /></td>
  </tr>
  <tr>
    <td colspan="2"><?php 
		
	//	the_editor('theaddmanagement','tt');
		?></td>
  </tr>
  <tr>
    <td>AdSense Code</td>
    <td><textarea name="adsense" rows="10" cols="50" wrap="off"><?php echo $adsense; ?></textarea></td>
  </tr>
</table>
<?php } ?>
<?php global $ad_count ;
$ad_count = 0;
?>
<?php 
function save_data_ad_box($post_ID)
{
	$post_id = $_POST['post_ID'];
	
	
	//print_r($post_ID);
	global $wpdb;
	$table = $wpdb->prefix.'admanagement';
	$results = $wpdb->get_results("SELECT count(*) as count FROM $table WHERE post_id = $post_id" );
	
	foreach ($results as $result )
	{
		$count = $result->count;
	}
	
	
	 $adimage = htmlspecialchars($_POST['upload_image']);
	$destination_url = htmlspecialchars($_POST['destination_url']);
	$adsense = htmlspecialchars($_POST['adsense']);
	if($count == 0)
	$wpdb->query('INSERT INTO '.$table.'(post_id,imageurl,destination_url,adsense) VALUES ('.$post_id.',\''.$adimage.'\',\''.$destination_url.'\',\''.$adsense.'\')');
	else
	{
		if(isset($_POST['destination_url']))
		{
		 "UPDATE $table SET imageurl ='$adimage', destination_url = '$destination_url' , adsense = '$adsense' WHERE post_id = $post_id";
		
		$wpdb->query("UPDATE $table SET imageurl ='$adimage', destination_url = '$destination_url' , adsense = '$adsense' WHERE post_id = $post_id");
		}
	}
}
add_action( 'do_meta_boxes',     'admanagement_post_box',             10, 2 );
add_action( 'save_post',         'save_data_ad_box'                   		);
?>
<?php 
add_action('wp_ajax_admanagement_ajax_post_action', 'admanagement_ajax_callback');
function admanagement_ajax_callback()
{
	global $wpdb; // this is how you get access to the database
	$themename = get_option('template') . "_";
	
	if($_POST['type'] == 'upload'){
		$clickedID = $_POST['data']; // Acts as the name
		$filename = $_FILES[$clickedID];
		$override['test_form'] = false;
	    $override['action'] = 'wp_handle_upload';    
	    $uploaded_file = wp_handle_upload($filename,$override);
	            $upload_tracking[] = $clickedID;
	            update_option( $clickedID , $uploaded_file['url'] );
				//update_option( $themename . $clickedID , $uploaded_file['url'] );
		 if(!empty($uploaded_file['error'])) {echo 'Upload Error: ' . $uploaded_file['error']; }	
		 else { echo $uploaded_file['url']; } // Is the Response
		 die();
		}
}
	/*function content($num) 
	{  
			$theContent = get_the_content();  
			$output = preg_replace('/<img[^>]+./','', $theContent);  
			$limit = $num+1;  
			$content = explode(' ', $output, $limit);  
			array_pop($content);  
			$content = implode(" ",$content);  
			echo $content;  
	}*/
?>