<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title>
<?php wp_title('&laquo;', true, 'right'); ?>
<?php bloginfo('name'); ?>
</title>
<?php if(get_option('marketing_style')!=''){?>
	<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/<?php echo get_option('marketing_style'); ?>" media="screen" />
	<?php }else{?>
	<link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/red.php" media="screen" />
	<?php }?>
    <link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/style.css" media="screen" />

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head();?>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

</head>

<!--<style type="text/css" media="screen">
@import url( <?php bloginfo('template_directory'); ?>/style.css );
</style> -->
<!--[if lte IE 6]>
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/iepngfix_tilebg.js"></script> 
 <![endif]-->
 
<body>
<div id = "bgwrapper">
<div id="light">
<div id = "shadow">
<div id = "wrap">
<!-- Header -->
 <div id="header">
      <div id="nav">
        <ul>
        <li <?php if(is_home()) { ?> class="current_page_item"<?php } ?>>
<a href="<?php bloginfo('home'); ?>"><span><?php echo getHomeTitle(); ?></span></a></li>
          <?php wp_list_pages('link_before=<span>&link_after=</span>&sort_column=menu_order&depth=1&title_li=&exclude='.getExludedItems()); ?>
        </ul>
      </div>
      <h3><a href="<?php echo get_option('home'); ?>">
        <?php bloginfo('name'); ?>
        </a></h3>
      <p class="tagline">
        <?php bloginfo('description'); ?>
      </p>
      <div id="rssfeeds"> <a href="<?php bloginfo('rss2_url'); ?>"><img id="rssicon" src="<?php bloginfo('template_directory'); ?>/images/rss.png" alt="Subscribe to RSS" /></a>
      
      </div>
    </div>
<!-- End Header -->